APIs / Spotahome / Search

Spotahome: Search

Search from Spotahome as JSON. 1 credit per successful call.

GET /v1/spotahome/search

Parameters

Send parameters in the query string.

ParameterTypeRequiredAllowed values
citystringRequiredAny
countrystringRequiredAny
pageintegerOptionalAny
min_priceintegerOptionalAny
max_priceintegerOptionalAny
typestringOptionalrooms, apartments, studios, residences
move_instringOptionalAny

Example request

cURLshell
curl "https://api.perceptlayer.com/v1/spotahome/search?city=madrid&country=spain" \
  -H "X-API-Key: $API_KEY"